JST Plugin Updater

Bringen Sie ab sofort Ihre JTL-Shop Plugins per Klick auf den neuesten Stand.

Kein Download & Upload per FTP mehr nötig. Zudem können alle bisherigen Einstellungen Ihrer JTL-Shop Plugins gesichert werden.

 

 

  • JST Plugin Updater
JTL Shop:
3 4
PHP:
ab 5.3
Doku:
Version:
105
ionCube:
ab 4.0
Download:

Zum Plugin (8)

Funktioniert das Plugin mit dem JTL Template andere Zertifizierter JTL Servicepartner?

Entwickelt werden unsere Plugins im JTL Shop 3 anhand des Tiny Templates. Im Shop 4 anhand des Evo Templates.
Eine Kompatibilität zu anderen Templates (auch von zertifizierten JTL Servicepartnern) kann leider nicht zu 100% garantiert werden.

Meistens genügt jedoch eine Anpassung der Selektoren im Backend des Plugins. Über den Testzeitraum können Sie jedes Plugin mit Ihrem Shop Template überprüfen.
Sollte es zu Problemen kommen, prüfen Sie die FAQs oder wenden Sie sich an den Support, dieser kann Ihnen evtl. weiterhelfen.

Ich kann ein mit dem Plugin Updater installiertes Plugin über meinen FTP-Account nicht mehr bearbeiten?

In den meisten Fällen ist die Ursache hierfür, dass Ihr FTP-Account keine schreibrechte auf Dateien aht, die der WebServer angelegt hat.

In diesem Fall sollten Sie wie folgt vorgehen:

  1. Im Plugin unter Einstellungen den Modus "Erweiterte Rechte" einstellen, und dann im Dashboard des Plugins, bei dem betroffenen Plugin, den Button "Rechte reparieren" betätigen. Hierbei werden die Rechte der Plugin Dateien gemäß der EInstellung angepasst (empfohelen: 777 oder 666). Danach sollten Sie die Dateien per FTP wieder ändern können.
  2. Damit das nicht wieder vorkommt, sollten Sie den Modus "FTP" verwenden, damit alle Dateien direkt mit dem richtigen Benutzer erstellt werden. Beachten Sie dazu die FAQ "Was muss ich bei Installation im FTP-Modus beachten?".

Es sind keine Informationen über Updates und auch keine Buttons zum Update/Download vorhanden?

Hier gibt es leider auch viele Möglichkeiten. Diese sind z.B.:

  1. cURL Version zu niedrig
  2. openSSL Version zu niedrig
  3. 'file_get_contents' findet keine CAFILE / CAPATH

In den Fällen 1. und 2. hilft meistens nur ein Update der entsprechenden Komponente. 

Bei 3. gibt es noch die Möglichkeit den Pfad zur CAFILE / CAPATH manuell anzugeben. Wenn Sie die entsprechenden Pfade herausfinden können, können Sie diese über eine ".user.ini" in Ihrem Shop-Root Verzeichnis bekannt machen (Beachten Sie den führenden Punkt bei .user.ini):

openssl.cafile = "/usr/local/share/curl/curl-ca-bundle.crt"
openssl.capath = "/etc/ssl/certs"

Update eines Plugins bringt MIME-Type Fehler?

Kommt beim Uptade folgender Fehler?

Prüfen Sie ob Ihr temorärer Pfad (in diesem Fall "/tmp") in Ihrem "open_basedir" enhalten ist. Sollte dies der Fall sein, können Sie zum einen den "/tmp" Pfad zu Ihrem "open_basedir"-Pfad hinzufügen, oder Sie überprüfen welchen temorären Pfad Sie für Ihr Hosting verwenden sollen und, z.B. durch Überprüfung des "upload_tmp_dir", und fügen diesen beispielsweise in Ihre Konfigurationsdatei des JTL-Shops hinzu. 

putenv('TMPDIR='.ini_get('upload_tmp_dir'));

Shop meldet nach Plugininstallation einen ionCube Fehler!

Wenn Sie PHP Version 5.6 verwenden und einen ionCube Loader in der Version kleiner 5.0 müssen Sie entweder Ihren ionCube Loader aktualisieren oder die Installation wie gewohnt von Hand durchführen. Verwenden Sie hierfür das Plugin für die PHP Version 5.5. Wir werden in der kommenden Version eine Lösung für dieses Problem finden.

Was muss ich bei Installation im FTP-Modus beachten?

Wichtig ist hier den korrekten Pfad anzugeben. Ist Ihr Shop z.B. bei einem Hoster,
mit mehreren Kunden gehostet, ist Ihr absoluter Pfad auf dem Server z.B. folgender:

/kunden/123456/htdocs/shop 

Wenn Sie sich per FTP einloggen, landen Sie dann wahrscheinlich in folgendem Ordner:

/kunden/123456

Dies ist dann der ROOT-Pfad des FTP-Benutzers. Im Plugin selbst müssen Sie jetzt nur
noch den Pfad vom FTP-ROOT-Pfad bis zu Ihrem Shop angeben.

Im angegebenen Beispiel wäre das:

/htdocs/shop

Ich erhalte Fehlermeldung "Plugin nicht 100% kompatibel"

Das Plugin hat einige technische Voraussetzungen, um Plugins von unserem Server zu holen und bei Ihnen im JTL Shop zu installieren.

Folgende Fehlermeldungen können auftreten:

  1. Einstellung 'allow_url_fopen' deaktiviert.
    Lösung: In der php.ini auf Ihrem Server die Einstellung "allow_url_fopen" auf "aktiviert" setzen
     
  2. Pluginverzeichnis nicht beschreibbar
    Lösung: Die Rechte des Verzeichnis "includes/plugins" per FTP Client auf 775 setzen, das reicht meist aus. Für Updates müssen auch die Verzeichnisse der einzelnen Plugins und deren Unterverzeichnisse auf 775 gesetzt werden

Welche Dateirechte benötigt das Plugin?

Um die Plugins automatsich zu updaten, benötigt das Plugn Schreibrechte auf das Verzeichnis includes/plugins und auf die darunterliegenden Plugins (z.B. includes/plugins/jst_social_like)

Folgende FTP Dateiattribute empfehlen wir für diese Verzeichnisse: 755

Bei einigen Hostern reicht die Vergabe der Schreibrechte 755 nicht, setzten Sie dann hier die Schreibrechte auf 777.

 

Technisches (11)

Warum schlägt der Lizenzcheck unter Windows und XAMPP fehlt?

Das liegt oft daran, das keine Zertifikate bei XAMP und cURL mitgeliefert werden.

1. Laden Sie sich diese Datei herunter: https://curl.haxx.se/ca/cacert.pem

2. Ändern Sie In Ihrer php.ini folgendes:

VORHER:

[curl]

; A default value for the CURLOPT_CAINFO option. This is required to be an

; absolute path.

;curl.cainfo =

 

NACHER:

[curl]

; A default value for the CURLOPT_CAINFO option. This is required to be an

; absolute path.

curl.cainfo = "C:PATHcacert.pem"

 

Bitte ersetzen Sie den Pfad mit dem absoluten Pfad zu der Heruntergeladenen Datei.

 

3. Nach einem Neustart des XAMP Servers sollte der Lizenzcheck funktionieren.

Funktioniert das Plugin auch mit PHP7 ?

Ja, unsere Plugins laufen auch mit PHP 7.

Dazu wählen Sie beim Download bitte die Plugin Version "PHP7.0/ ionCube 6.0.5"
Voraussetzung ist jedoch, dass Sie den ionCube Loader für PHP 7 installiert haben.

Pluginversionen

Reicht es nur den neuen Versionsordner eines Plugins hochzuladen?

Nein, bitte laden Sie immer das komplette Plugin via FTP in Ihren Shop da es sein kann, das versionsunabhängige Biblotheken miteingebunden werden

Eine Anleitung zur Installation von Plugins in Ihrem JTL Shop finden Sie hier:

https://www.webstollen.de/Plugin-Installation

Wie läuft eine Installation oder Updates?

I.d.R. laden Sie das Plugin ganz einfach per FTP in Ihren Plugin Ordner (includes/plugins).

Eine ausführliche Anleitung finden Sie hier: https://www.webstollen.de/Plugin-Installation

Oder hier: https://guide.jtl-software.de/jtl/JTL-Shop:Backend:Plugins

Alterbnativ

Mit unserem kostenlosen Plugin JST Plugin Updater können Sie nun unsere Plugin auf Knopfdruck updaten oder installieren und benötigen kein FTP Programm mehr dazu.

Im Support Tab des Plugins können Sie jederzeit Ihre Lizenz aktualisieren (Klick auf "aktualisieren"). Ansonsten wird die Aktualisierung innerhalb von 48h automatisch vorgenommen.

Lizenzprüfung schlägt fehl trotz gültiger Lizenz?

1. cURL & SSL

Bitte überprüfen Sie die Version von cURL. Entweder in einer SSH Session auf Ihrem Server: "curl --version"
oder über eine PHP Info Datei:

<?php phpInfo(); ?>

Sollte Ihre Version kleiner 7.34 sein, kann Ihr Server nicht auf sicherem Wege mit unserer Pluginprüfung kommunizieren.
Da wir die Lizenzprüfung des Plugins in Ihrem Shop zu unserem System per SSL verschlüsseln, ist es erforderlich, dass Ihr Server eine sichere Verbindung aufbauen kann.

Da SSLv3 de facto keine sichere Verschlüsselung mehr ist, kann keine Verbindungen mehr über dieses Protokoll hergestellt werden.

2. Lizenz hat sich noch nicht aktualisiert

Im Support Tab des Plugins können Sie jederzeit Ihre Lizenz aktualisieren (Klick auf "aktualisieren"). Ansonsten wird die Aktualisierung innerhalb von 48h automatisch vorgenommen.

oder alternativ:

Bitte rufen Sie das Plugin im Backend auf und fügen Sie hinterhalb der kPlugin=XXX Angabe folgenden Text ein "&recheck=1" und bestätigen Sie diese Eingabe durch die Eingabetaste.

Dies löst eine Aktualisierung aus.

Die Lizenzprüfung schlägt auf meinem MS Windows Server immer fehl?

Eine häufige Ursache dafür ist, dass Sie das Root-Zertifikat unseres SSL Zertifikats auf Ihrem Server nicht installiert haben.
Versuchen Sie in diesem Fall bitte das Zertifikat manuell zu installieren.

Das Root-Zertifikat bekommen Sie hier direkt von AlphaSSL: https://www.alphassl.com/support/install-root-certificate.html

Für die korrekte Installation können wir derzeit leider keinen Support geben. Eine kurze Google Suche ergab z.B. folgendes:

https://technet.microsoft.com/de-de/library/cc754841.aspx#BKMK_addlocal

Alternativ:

Fügen Sie zu Ihrer php.ini folgende Einstellung hinzu:

curl.cainfo=c:\pfad\zum\cert.pem

Hierdurch würd cURL das ROOT Zertifikat direkt bekannt gemacht. (http://php.net/manual/de/curl.configuration.php)

Warum funktioniert das Plugin im mobilen Template nicht?

Da der Shop die nachträgliche Änderung des Templates (kurz vor der Ausgabe im Browser) im mobilen Template nicht unterstützt, greifen hier viele Funktionen mancher Plugins nicht. Mit der JTL-Shop Version 3.20 wurde dieses Problem zwar behoben, jedoch sind noch nicht alle Plugin dahingehend aktualisiert.

Was bedeuted eine ioncube Fehlermeldung?

Haben Sie z.B. eine ähnliche Fehlermeldung wie diese:

Site error: the file /includes/plugins/jst_landingpages/version/103/adminmenu/ajax/gibSuchergebnisse.php requires the ionCube PHP Loader ioncube_loader_lin_5.2.so to be installed by the website operator. If you are the website operator please use the ionCube Loader Wizard to assist with installation.

dann wird der ioncube Decoder nicht geladen (den benötigt das Plugin).

Meist ist das der Fall, wenn Sie bei 1&1 oder Strato gehostet sind.

Siehe auch: http://wiki.jtl-software.de/index.php?title=JTL-Shop3_Installation_auf_1und1_oder_Strato-Server

Lösung ist meist die php.ini Datei (die Sie auch schon in andere Ordner und Unterordner kopiert haben) auch in den Plugin Ordner zu kopieren (und dessen Unterordner).

Was tun bei anderen ioncube Fehlermeldungen?

Überprüfen Sie Ihre ionCube Version und die Version Ihrer PHP Installation. Unsere Plugins werden aktuell mit der ionCube Version 7 kompiliert und setzen mindestens PHP 5.0 voraus.

Was ist ein CSS Selector (Position von Plugins)?

Ein CSS-Selector beschreibt ein (oder mehrere) HTML-Objekt(e) anhand

 

  • des Namens des Objekts, z.B.: <li>...</li> -> Selector: li
  • einer CSS-Klasse, z.B.: <li class="highlight">...</li> -> Selector: .highlight (Bei Klassen mit vorangestelltem Punkt)
  • oder einer CSS-ID, z.B.: <ul id="nav">...</ul> -> Selector: #nav (Bei IDs mit vorangestellter Raute),

 

an dem sich der Inhalt orientiert, der durch das Plugin eingefügt wird.

 

Mit den Selectoren sind Sie unglaublich flexibel, was die Positionierung von Elementen angeht (z.B. Boxen).

 

Ein paar HTML und CSS Kenntnisse wären dabei hilfreich, aber nicht unbedingt notwendig.

Dieser wird je nach eingestellter Position vor dem Objekt, nach dem Objekt, am Anfang innerhalb des Objekts, oder am Ende innerhalb des Objekts angehängt. Auch können manchmal Objekte komplett ersetzt werden.

Das Plugin ist in der Pluginverwaltung nicht sichtbar?

Das passiert häufig wenn Sie in den Pluginordner neben der "info.xml"-Datei und dem "version"-Ordner noch weitere, evtl. unsichtbare Dateien hochgeladen haben. Die meisten Betriebsysteme erstellen versteckte Dateien und diese können beim Upload über FTP auf den Server übertragen werden.

Bitte löschen Sia alle Dateien im Pluginordner, außer der info.xml und dem "version"-Ordner. EIne Anleitung wie Sie versteckte Dateien anzeigen lassen können, finden Sie z.B. hier: 
http://filezilla-client.de/anleitung/versteckte-dateien-anzeigen.html

 

Ich habe Pluginprobleme im Zusammenhang mit meinem 1&1 Server

Es kann bei Plugins aus unserem Haus und 1&1 Servern zu Problemen kommen, da die ionCube Loader standardmässig leider nicht verfügbar sind.

Dieses Problem ist bekannt und kann dadurch gelöst werden, indem Sie sich an folgende Anleitung halten.

http://wiki.jtl-software.de/index.php?title=JTL-Shop3_Installation_auf_1und1_oder_Strato-Server

Platzieren Sie die von Ihnen erstellte php.ini in jedem Pluginordner ab, hierzu zählen:

  • adminmenu
  • alle adminmenu Unterordner
  • frontend
  • alle frontend Unterordner
  • licence

Plugin Kauf & Test (10)

Ich möchte meine Domain (URL) des Shops ändern. Was muss ich tun?

Ihr Shop URL hat sich geändert oder wird sich ändern?

Kein Problem. Mit einer gültigen Subscription können Sie diese kostenfrei ändern.

Schreiben Sie uns einfach eine Nachricht, wir passen die Domain für Sie an:

>> Kontakt

Ablauf der Subscription, was dann?

Das Plugin kann weiter unbegrenzt und uneingeschränkt verwendet werden.

Sie erhalten ca. 14 Tage vor Ablauf der Lizenz eine E-Mail, in der Sie die Lizenz (Subscription) um weitere 12 Monat verlängern können.

Dafür erhalten Sie 50% Rabatt auf den Plugin Preis. Damit erhalten Sie weitere 12 Monate alle Updates kostenfrei.

Ich habe die Subscription verlängert, im Plugin steht aber noch das alte Ablaufdatum

Die Aktualisierung der Lizenz kann bis zu 48h dauern.

Sie können aber im Support Tab im Plugin Backend auf "aktualisieren" klicken und so diesen Prozess beschleunigen.

Alternativ:

Bitte rufen Sie das  Plugin im Backend auf und fügen Sie nach der kPlugin=XXX Angabe folgenden Text ein "&recheck=1" und bestätigen Sie diese Eingabe durch die Eingabetaste.

Dies löst eine Aktualisierung aus.

Wie lange läuft eine Lizenz?

Ihre Plugin Lizenz läuft unbegrenzt.

Zudem erhalten Sie 12 Monate lang kostenfrei alle Updates (sog. Subscription) des Plugins (wie benachrichtigen Sie per E-Mail).

Falls Sie darüberhinaus alle Updates erhalten möchten, so können Sie die Lizenz zu einem vergünstigten Preis um weitere 12 Monate verlängern.

Erhalte ich eine Rechnung?

Sie erhalten kurz nach der Bestellung eine Rechnung als PDF.

Diese wird Ihnen per E-Mail an die angegebene Adresse gesendet und kommt meist innerhalb 24h.

Welche Domain muss ich beim Kauf/ Test angeben?

  • Läuft ihr JTL Shop unter http://www.ihr-shop.de oder http://ihr-shop.de so geben Sie bitte nur die Domain an, also ihr-shop.de
  • Läuft ihr JTL Shop unter http://www.ihr-shop.de/shop so geben Sie bitte nur die Domain an, also ihr-shop.de
  • Läuft Ihr JTL Shop unter einer Subdomain (z.B. http://shop.ihr-shop.de), so geben Sie bitte die Subdomain an, also shop.ihr-shop.de

Ich habe ein Plugin gekauft, es steht aber immer noch 'Testlizenz' beim Plugin

Das ist kein Problem.

Der Eintrag "Testlizenz" ändert sich automatisch, dieser Vorgang kann bis zu 48h dauern. Anschließend wird das Ablaufdatum der Subscription angezeigt.

Sie können auch auf "aktualisieren" im Support Tab des Plugins klicken um die Lizenz zu aktualisieren.

Vor allem bei abgelaufenen Testlizenzen ist dies erforderlich, da diese nicht automatisch wieder aktiviert werden.

Ich habe gerade nach der Installation der Testversion das Plugin gekauft. Muss ich das Plugin erneut installieren für die Vollversion?

Sie können das Plugin einfach installiert lassen, es ändert sich nur die Lizenz.

Es kann bis zu 48h dauern, bis auf der Info Seite Ihre korrekte Kauflizenz angegeben ist, bis dahin steht dort noch "Testlizenz".
Die Umstellung erfolgt aber automatisch, Sie müssen also nicht tätig werden.

Sie können auch auf "aktualisieren" im Support Tab des Plugins klicken um die Lizenz zu aktualisieren.

Vor allem bei abgelaufenen Testlizenzen ist dies erforderlich, da diese nicht automatisch wieder aktiviert werden.

Können die Plugins auch auf JTL Testshops getestet werden?

Ja, unsere Plugins können auch auf Testshops von JTL Software getestet werden. Diese haben alle eine ähnliche Domain (z.B. http://t3.jtl-shop.de/xyz123/).

Wir haben diese Domains bei uns hinterlegt, sodass Sie ganz einfach beim Plugin auf "kostenlos testen" klicken und die Testlizenz im Testshop installieren können.

Das Besondere: In Ihrem JTL Testshop können Sie unsere Plugins ohne Zeitlimit unbegrenzt testen, lassen Sie sich also ruhig Zeit.

 

Wie teste ich ein Plugin?

Sie klicken beim Plugin einfach auf "kostenlos testen!".

Anschließend geben nur Ihre Shop URL und Ihre E-Mail Adresse ein. Sie erhalten dann Ihr Plugin in wenigen Minuten per E-Mail.

14 Tage haben Sie Zeit das Plugin zu testen. Sollten Sie etwas länger benötigen, kontaktieren Sie uns einfach, wir verlängern den Zeitraum gerne nach Vereinbarung.

Version 105
  • Weitere Verbesserung der Kompatibilität mit unterschiedlichen Serverumgebungen
  • Validierung der FTP Daten & Pfade als Rückmeldung
  • Optische Feinheiten
Version 104
  • Bugfix: Installation berücksichtigt nun ionCube Version
Version 103
  • FTP Installationsmodus
  • Kompatibilitäts und Lizenz Prüfung
  • Erweiterung des Widgets
  • Vorbereitung auf JTL Shop 4
     
Version 102
  • Erweiterte Dateiberechtigungen, bei Schreib-Problemen
  • Dateirechte nachträglich reparieren
  • Usability Verbesserungen

Updates einfach auf Knopfdruck

Das Plugin macht Sie automatisch auf neue Versionen aufmerksam. Per Widget und im Plugin Dashboard.

So verpassen Sie kein Update mehr!

Anschließend können Sie es per Knopfdruck auf die neueste Version aktualisieren.

 

Immer auf dem aktuellsten Stand

Sehen Sie auf den ersten Blick welche Version Sie im JTL-Shop installiert haben und welche die aktuellste Version ist, die verfügbar ist.

Sichern Sie Ihre Plugins (Backup) oder installieren Sie ein Plugin neu (Zurücksetzen).

Auch sehen Sie nochmal übersichtlich die Links zu den Plugins und der Dokumentation.

Neue Plugins easy testen

Auf Knopfdruck können Sie auch neu verfügbare Plugins installieren.

Diese wird dabei im Hintergrund heruntergeladen, in das Pluginverzeichnis geschoben und abschließend auch installiert, falls Sie das möchten.

Alle Plugins können dann unverbindlich 14 Tage lang getestet werden.

Video Tutorial

Durchschnittliche Artikelbewertung

3 Sterne
2 Sterne
1 Stern

Teilen Sie anderen Kunden Ihre Erfahrungen mit:

5 von 5 Warum gibt es das nicht für andere Plugins?

So stelle ich mir das vor. Kennt man ja von Wordpress & Co.

Warum gibt es das nicht von allen Plugin Anbietern, frage ich mich da.

., 08.02.2016
4 von 5 Updater habe ich nicht am laufen bekommen.

Vorgestern, habe ich den Updater installiert und habe es nicht geschafft den am laufen zu bekommen.

Ich habe alles durchgelesen und auch beachtet. Da es vermutlich an meinen Fähigkeiten liegt bewerte ich den dennoch mit 4 Sternen, weil einem die Software anzeigt was aktuell ist und was nicht. Schneller Überblick

Schade das Webstollen nicht bereit war mir vor Weihnachten noch zu helfen. Ich habe dann wie immer die Updates von Hand installiert und den Updater wieder deaktiviert.

., 22.12.2015
5 von 5 Perfekt

So einfach kann eine Plugin-Verwaltung sein!

., 04.05.2015
5 von 5 perfekt

Super einfach, klappt einwandfrei, wäre schön, alle plugins (von anderen Anbietern) könnten so verwaltet werden.

., 03.05.2015
5 von 5 Perfekt!

So nützlich - eine echte Bereicherung! Vielen Dank!

., 19.03.2015
Oft dazu gekauft: